
QGIS Application - Bug report #18292

Server GetFeatureInfo FILTER search fails when WIDTH, HEIGHT and CRS are not specified 

2018-03-01 03:33 PM - Alessandro Pasotti

Status: Closed

Priority: High

Assignee: Alessandro Pasotti

Category: QGIS Server

Affected QGIS version:master Regression?: Yes

Operating System: Easy fix?: Yes

Pull Request or Patch supplied:Yes Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 26183

Description

Sample call:

?MAP=QGIS_SERVER_DIR/projects/helloworld.qgs&SERVICE=WMS&REQUEST=GetFeatureInfo&LAYERS=world&QUERY_LAYE

S=world&FILTER=world%3A%22NAME%22 %3D 'SPAIN'

The required parameters are not really used since we are doing an attribute search.

This is a regression.

History

#1 - 2018-03-01 03:35 PM - Giovanni Manghi

- Affected QGIS version changed from master to 3.0.0

- Priority changed from Normal to High

#2 - 2018-03-11 10:38 AM - Alessandro Pasotti

- Assignee set to Alessandro Pasotti

#3 - 2018-03-11 10:55 AM - Alessandro Pasotti

- Subject changed from Server GetFeatureInfo SEARCH fails when WIDTH, HEIGHT and CRS are not specified  to Server GetFeatureInfo FILTER 

search fails when WIDTH, HEIGHT and CRS are not specified 

#4 - 2018-03-11 11:56 AM - Alessandro Pasotti

- Status changed from Open to In Progress

- Pull Request or Patch supplied changed from No to Yes

- Affected QGIS version changed from 3.0.0 to master

PR https://github.com/qgis/QGIS/pull/6576

#5 - 2018-03-16 04:06 PM - Alessandro Pasotti

- Resolution set to fixed/implemented

- Status changed from In Progress to Closed
